Package: org.gradle.tooling.model.idea

## [Java] Interface IdeaSingleEntryLibraryDependency

- org.gradle.tooling.model.idea.IdeaSingleEntryLibraryDependency

- All Superinterfaces:
    ExternalDependency, Dependency, IdeaDependency

  "Single-Entry Module Library" as IDEA calls it. For example a single Jar file with sources Jar.

  Since:
    1.0-milestone-5

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getFile()` Returns the file for this dependency.
    `File` | `getJavadoc()` Returns the Javadoc directory/archive for this dependency.
    `File` | `getSource()` Returns the source directory/archive for this dependency.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ExternalDependency` | `getFile, getGradleModuleVersion, getJavadoc, getSource, isExported`
    `interface IdeaDependency` | `getExported, getScope`

- - ### Method Detail

    - #### public File getFile()

      Returns the file for this dependency.

      Returns:
        The file. Never null.

    - #### @Nullable public File getJavadoc()

      Returns the Javadoc directory/archive for this dependency.

      Returns:
        The Javadoc file. Returns null when the Javadoc is not available for this dependency.

    - #### @Nullable public File getSource()

      Returns the source directory/archive for this dependency.

      Returns:
        The source file. Returns null when the source is not available for this dependency.